<div id="site-footer" class="site-footer site-box-container container--fullscreen site-footer-size--{{ section.settings.footer_size }}">
 <div class="site-box srt footer-box box--big lap--box--bigger box--center-align box--column-flow box__footer">
  <img src="{{ 'footer2.png' | asset_url }}"  />
 
  </div>
  {% if section.blocks.size < 3 %}

    <div class="footer-right-column site-box footer-box box--bigger lap--box--bigger box--center-align box--column-flow box__footer">
      
      {% for block in section.blocks %}
        {% capture footer_block %}{{ 'footer_content-' | append: block.type }}{% endcapture %}
        {% include footer_block %}
      {% endfor %}

      <p class="site-copyright to-bottom-content">
        <span>{{ 'general.copyright' | t }} &copy; {{ 'now' | date: "%Y" }} <a href="/">{{ shop.name }}</a></span>
        <span>{{ powered_by_link }}</span>
      </p>

    </div>

  {% else %}

      {% for block in section.blocks %}

        {% if forloop.index == 1 or forloop.index == 2 %}
          <div class="footer-right-column site-box sr footer-box box--big lap--box--bigger box--center-align box--column-flow box__footer">
            <div class="footer-right-column-content">
        {% endif %}

          {% capture footer_block %}{{ 'footer_content-' | append: block.type }}{% endcapture %}
          {% include footer_block %}

        {% if forloop.index == 2 or forloop.last == true %}
          {% if forloop.index == 2 %} 
           
          {% else %}
            <p class="site-copyright to-bottom-content"> <span>{{ 'general.copyright' | t }} &copy; {{ 'now' | date: "%Y" }} <a href="/">{{ 'Variant Inc.' }}</a></span></p>
          {% endif %}
          </div>
            </div>
        {% endif %}

      {% endfor %}
    
  {% endif %}

</div>

{{ 'footer_css.scss' | asset_url | stylesheet_tag }}

<script>
$( '.site-footer .input-group input[type="email"]' ).focus(function() {
  $(this).parent().addClass('input-focused');
}).focusout(function() {
    $(this).parent().removeClass('input-focused');
  })
</script>

{% schema %}
  {
    "name": "Footer",
    "class": "mount-footer",
    "max_blocks": 5,
     "settings": [
{
      "type": "image_picker",
      "id": "footerlogo",
      "label": "footer image"
    },
      {
        "type": "select",
        "id": "footer_size",
        "label": "Size",
        "options": [
          {
            "value": "lg",
            "label": "Large"
          },
          {
            "value": "sm",
            "label": "Small"
          }
        ]
      }
    ],
    "blocks": [
      {
        "type": "contact",
        "name": "Contact information",
        "settings": [
          {
            "type": "text",
            "id": "title",
            "label": "Heading",
            "default": "Contact information"
          },
          {
            "type": "text",
            "id": "info",
            "label": "Information",
            "default": "email@shopify.com"
          },
          {
            "type": "text",
            "id": "link",
            "label": "Information link",
            "info": "Optional"
          },
          {
            "type": "text",
            "id": "caption",
            "label": "Caption",
            "default": "Invite customers to get in touch with you"
          }
        ]
      },
      {
        "type": "menu",
        "name": "Menu",
        "settings": [
          {
            "type": "text",
            "id": "title",
            "label": "Heading",
            "default": "Footer menu"
          },
          {
            "type": "link_list",
            "id": "footer_menu_select",
            "label": "Menu",
            "default": "footer",
            "info": "This menu won't show dropdown items"
          },
          {
            "type": "text",
            "id": "caption",
            "label": "Caption"
          }
        ]
      },
      {
        "type": "social",
        "name": "Social links",
        "limit": 1,
        "settings": [
          {
            "type": "text",
            "id": "title",
            "label": "Heading",
            "default": "Social links"
          },
          {
            "type": "text",
            "id": "caption",
            "label": "Caption",
            "default": "Invite customers to follow you on social networks"
          }
        ]
      },
      {
        "type": "newsletter",
        "name": "Newsletter",
        "limit": 1,
        "settings": [
          {
            "type": "text",
            "id": "title",
            "label": "Heading",
            "default": "Newsletter"
          },
          {
            "type": "richtext",
            "id": "caption_new",
            "label": "Caption",
            "default": "<p></p>"
          }
        ]
      },
      {
        "type": "payment",
        "name": "Supported payment methods",
        "limit": 1,
        "settings": [
          {
            "type": "text",
            "id": "title",
            "label": "Heading",
            "default": "Supported payment methods"
          },
          {
            "type": "text",
            "id": "caption",
            "label": "Caption"
          }
        ]
      }
    ]
  }
{% endschema %}